summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMilk Brewster2020-08-03 17:25:25 +0100
committerMilk Brewster2020-08-03 17:25:25 +0100
commitf982cabfab140520032247d43531b94f4da14492 (patch)
treed7badda38404381bc53b909c5eaa09da7e0d04ff
downloadaur-f982cabfab140520032247d43531b94f4da14492.tar.gz
mv from pomobar
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD37
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..107b40d2ee2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = pomobar-git
+ pkgdesc = Pomodoro timer to polybar
+ pkgver = r23.b613959
+ pkgrel = 1
+ url = https://github.com/loopzen/pomobar
+ arch = any
+ license = unknown
+ depends = git
+ depends = python
+ source = git+https://github.com/loopzen/pomobar
+ md5sums = SKIP
+
+pkgname = pomobar-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..346146a0a77
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Milk Brewster (milk/milkii on Freenode)
+pkgname=pomobar-git
+pkgdesc="Pomodoro timer to polybar"
+pkgver=r23.b613959
+pkgrel=1
+epoch=
+arch=('any')
+url="https://github.com/loopzen/pomobar"
+license=('unknown')
+groups=()
+depends=('git' 'python')
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("git+https://github.com/loopzen/pomobar")
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+ }
+
+package() {
+ cd "$pkgname"
+ install -Dm755 pomobar.py "$pkgdir/usr/share/polybar/scripts/pomobar.py"
+}